Base58OutputStream.Builder (Apache Commons Codec 1.22.0 API)
Description: declaration: package: org.apache.commons.codec.binary, class: Base58OutputStream, class: Builder

Package org.apache.commons.codec.binary

# Class Base58OutputStream.Builder

java.lang.Object
org.apache.commons.codec.binary.AbstractBaseNCodecStreamBuilder<Base58OutputStream,Base58,Base58OutputStream.Builder>
org.apache.commons.codec.binary.BaseNCodecOutputStream.AbstractBuilder<Base58OutputStream,Base58,Base58OutputStream.Builder>
org.apache.commons.codec.binary.Base58OutputStream.Builder

All Implemented Interfaces:
  `Supplier<Base58OutputStream>`

Enclosing class:
  `Base58OutputStream`

public static class Base58OutputStream.Builder extends BaseNCodecOutputStream.AbstractBuilder<Base58OutputStream,Base58,Base58OutputStream.Builder>
Builds instances of Base58OutputStream.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Base58OutputStream`
  `get()`
  Builds a new Base58OutputStream instance with the configured settings.
  `protected Base58`
  `newBaseNCodec()`
  Creates a new Base58 codec instance.

  ### Methods inherited from class org.apache.commons.codec.binary.BaseNCodecOutputStream.AbstractBuilder

  `getOutputStream, setOutputStream`

  ### Methods inherited from class org.apache.commons.codec.binary.AbstractBaseNCodecStreamBuilder

  `getBaseNCodec, getEncode, setBaseNCodec, setEncode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new instance.

- ## Method Details

  - ### get

    public Base58OutputStream get()
    Builds a new Base58OutputStream instance with the configured settings.
    Returns:
      a new Base58OutputStream.

  - ### newBaseNCodec

    protected Base58 newBaseNCodec()
    Creates a new Base58 codec instance.
    Specified by:
      `newBaseNCodec` in class `AbstractBaseNCodecStreamBuilder<Base58OutputStream,Base58,Base58OutputStream.Builder>`
    Returns:
      a new Base58 codec.